%define __kde4_alternate_placement 1

%define rname kdemultimedia
Name: kde4multimedia
%define major 4
%define minor 1
%define bugfix 3
Version: %major.%minor.%bugfix
Release: alt0.M41.2

Group: Graphical desktop/KDE
Summary: K Desktop Environment - Multimedia
License: GPLv2
Url: http://www.kde.org

Requires: %name-dragonplayer = %version-%release
Requires: %name-juk = %version-%release
Requires: %name-audiocd = %version-%release
Requires: %name-kmix = %version-%release
Requires: %name-kscd = %version-%release


Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/%rname-%version.tar

BuildRequires: gcc-c++ libcdparanoia-devel
BuildRequires: libmusicbrainz-devel libtunepimp-devel libflac-devel
BuildRequires: libmad-devel libvorbis-devel libtheora-devel libspeex-devel
BuildRequires: libxine-devel >= 1.1.9
BuildRequires: libsamplerate-devel libtag-devel libfreebob-devel
BuildRequires: libjpeg-devel bzlib-devel
#BuildRequires: libcdda-devel
BuildRequires: libalsa-devel
#BuildRequires: xorg-x11-devel
#BuildRequires: libgstreamer-plugins-base-devel
BuildRequires: kde4base-workspace-devel >= %version
#BuildRequires: kde4base-devel >= %version

%description
* kmix: the audio mixer as a standalone program and Kicker applet
* kscd: A CD player with an interface to the internet CDDB database
* phonon-xine: A Phonon-Backend based on Xine
* kfile-plugins: provide meta information about sound files
* libkcddb: a library for retrieving and sending cddb information


#----------------------------------------------------------------------

%package common
Summary: %name common package
Group: Graphical desktop/KDE
Requires: kde-common >= %major-%minor
%description common
%name common package

%package core
Summary: Core files for %name
Group: Graphical desktop/KDE
#Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
%description core
Core files for %name

%package dragonplayer
Group: Video
Summary: Video Player for KDE
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
Requires: %name-core = %version-%release
%description dragonplayer
Video Player for KDE

%package juk
Group: Sound
Summary: KDE music player, jukebox, tagger and music collection manager
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
Requires: %name-core = %version-%release
%description juk
Juk is well, a jukebox.  As is typical with many jukebox
applications, Juk allows you to edit the tags of the
audio files, and manage your collection and playlists.

%package audiocd
Group: Sound
Summary: KDE audiocd ioslave
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
Requires: %name-core = %version-%release
%description audiocd
Audiocd ioslave

%package -n libaudiocdplugins4
Group: System/Libraries
Summary: KDE 4 library
Requires: %name-common = %version-%release
%description -n libaudiocdplugins4
KDE 4 library

%package kmix
Group: Sound
Summary: KDE sound mixer applet
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
Requires: %name-core = %version-%release
%description kmix
A sound mixer applet for KDE.
%name allows you to control the volumes of your
sound card from a KDE panel applet.

%package kscd
Group: Sound
Summary: KDE Audio-CD player
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
Requires: %name-core = %version-%release
%description kscd
KSCD is an Audio-CD player for KDE

%package -n libkcddb4
Group: System/Libraries
Summary: KDE 4 library
Requires: %name-common = %version-%release
%description -n libkcddb4
KDE 4 library

%package -n libkcompactdisc4
Group: System/Libraries
Summary: KDE 4 library
Requires: %name-common = %version-%release
%description -n libkcompactdisc4
KDE 4 library

%package devel
Group: Development/KDE and QT
Summary: Devel stuff for %name
Requires: kde4libs-devel
Requires: %name-common = %version-%release
%description devel
This package contains header files needed if you wish to build applications
based on %name.


%prep
%setup -q -n %rname-%version

%build
export CFLAGS="${CFLAGS} -DOCAMLIB=%_libdir/ocaml"
export CPPFLAGS="${CPPFLAGS} -DOCAMLIB=%_libdir/ocaml"

%K4cmake
%K4make

%install
%K4install


%post -n libaudiocdplugins4
%post_ldconfig
%postun -n libaudiocdplugins4
%postun_ldconfig

%post -n libkcddb4
%post_ldconfig
%postun -n libkcddb4
%postun_ldconfig

%post -n libkcompactdisc4
%post_ldconfig
%postun -n libkcompactdisc4
%postun_ldconfig


%files
%files common
%doc README

%files core
%_K4conf_update/*
%_K4iconsdir/oxygen/*/*/*.*
%__kde4_iconsdir/hicolor/*/*/*.*

%files dragonplayer
%__kde4_bindir/dragon
%_K4apps/dragonplayer/
%_K4lib/dragonpart.so
%__kde4_xdg_apps/dragonplayer.desktop
%_K4srv/ServiceMenus/dragonplayer_*
%_K4srv/dragonplayer_part.desktop
%_K4conf/dragonplayerrc
%__kde4_doc/*/dragonplayer

%files juk
%__kde4_bindir/juk
%_K4apps/juk/
%__kde4_xdg_apps/juk.desktop
%_K4srv/ServiceMenus/jukservicemenu.desktop
%_K4dbus_interfaces/org.kde.juk.collection.xml
%_K4dbus_interfaces/org.kde.juk.player.xml
%_K4dbus_interfaces/org.kde.juk.search.xml
%__kde4_doc/*/juk

%files audiocd
%_K4lib/kcm_audiocd.so
%_K4lib/kio_audiocd.so
%_K4lib/libaudiocd_*
%_K4apps/konqsidebartng/virtual_folders/services/audiocd.desktop
%_K4cfg/audiocd_*
%_K4srv/audiocd.desktop
%_K4srv/audiocd.protocol
%_K4srv/ServiceMenus/audiocd_play.desktop

%files -n libaudiocdplugins4
%_K4libdir/libaudiocdplugins.so.*

%files kmix
%__kde4_bindir/kmix
%__kde4_bindir/kmixctrl
%_K4apps/kmix/
%__kde4_xdg_apps/kmix.desktop
%_K4start/restore_kmix_volumes.desktop
%_K4start/kmix_autostart.desktop
%_K4srv/kmixctrl_restore.desktop
%_K4libdir/libkdeinit4_kmix*
%_K4dbus_interfaces/org.kde.KMix.xml
%__kde4_doc/*/kmix

%files kscd
%__kde4_bindir/kscd
%__kde4_bindir/workman2cddb.pl
%_K4apps/profiles/
%__kde4_xdg_apps/kscd.desktop
%_K4cfg/kscd.kcfg
%__kde4_doc/*/kscd

%files -n libkcddb4
%_K4libdir/libkcddb.so.*
%_K4lib/kcm_cddb.so
%_K4cfg/libkcddb.kcfg
%_K4srv/libkcddb.desktop

%files -n libkcompactdisc4
%_K4libdir/libkcompactdisc.so.*

%files devel
%__kde4_libdir_link/libaudiocdplugins.so
%__kde4_libdir_link/libkcddb.so
%__kde4_libdir_link/libkcompactdisc.so
%_K4includedir/*

%changelog
* Fri Nov 07 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.3-alt0.M41.2
- built for M41

* Fri Nov 07 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.3-alt1
- new version

* Tue Oct 07 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.2-alt1
- new version

* Fri Sep 05 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.1-alt1
- new version

* Sat Aug 02 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.0-alt1
- new version

* Mon Jun 02 2008 Sergey V Turchin <zerg at altlinux dot org> 4.0.80-alt1
- 4.1 beta1

* Tue May 06 2008 Sergey V Turchin <zerg at altlinux dot org> 4.0.72-alt1
- new version

* Wed Apr 02 2008 Sergey V Turchin <zerg at altlinux dot org> 4.0.3-alt1
- new version

* Tue Mar 25 2008 Sergey V Turchin <zerg at altlinux dot org> 4.0.2-alt1
- initial specfile

